from Crypto.Cipher import AES
from pwn import xor
import requests


base_url = 'https://aes.cryptohack.org/'


def decrypt(ciphertext):
    route = '/ecbcbcwtf/decrypt/{}/'.format(ciphertext)
    response = requests.get(base_url + route)
    return bytes.fromhex(response.json()['plaintext'])

def encrypt_flag():
    route = '/ecbcbcwtf/encrypt_flag/'
    response = requests.get(base_url + route)
    return bytes.fromhex(response.json()['ciphertext'])

encrypted_flag = encrypt_flag()
flag = b''
for i in range(16, len(encrypted_flag), 16):
    flag += xor(encrypted_flag[i-16:i], decrypt(encrypted_flag[i:i+16].hex()))
print(flag.decode())
